Skip to main content
GET
List vendor external findings

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

vendorId
string
required

Unique identifier of the vendor.

Query Parameters

pageSize
integer<int32>
default:10

Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

q
string

Search finding titles and descriptions.

severityMatchesAny
enum<string>[]

Match any specified severity. Omitted: all except INFO.

Minimum array length: 1
Available options:
CRITICAL,
HIGH,
MEDIUM,
LOW,
INFO
statusMatchesAny
enum<string>[]

Match any specified status. Omitted: both statuses.

Minimum array length: 1
Available options:
ACTIVE,
RESOLVED
categoryMatchesAny
enum<string>[]

Match any specified monitoring category, exactly and case-sensitively. Omitted: all categories.

Minimum array length: 1
Available options:
Application security,
Exposed application user interfaces,
Exposed services,
Exposed & leaked sensitive information,
End of life & outdated applications,
Sensitive interfaces exposure,
Threat intelligence,
Trust,
Vulnerabilities,
Vulnerable misconfigurations
firstSeenStartDate
string

Inclusive ISO 8601 first-seen lower bound. Supply both date bounds with start no later than end.

firstSeenEndDate
string

Inclusive ISO 8601 first-seen upper bound. Supply both date bounds with start no later than end.

sort
enum<string>
default:firstSeenDate
Available options:
firstSeenDate,
severity,
title
direction
enum<string>
default:desc

Ascending means oldest first, highest severity first (CRITICAL to INFO), or title A to Z. Descending reverses each order, matching security incident alerts' severity convention.

Available options:
asc,
desc

Response

200 - application/json

Ok

results
object
required